<%@ page contentType="text/html; charset=GBK" %>
<%@ page import = "zr.zrpower.common.util.SysPreperty" %>
<%@ page import = "zr.zrpower.entity.sys.SessionUser" %>
<%@ page import = "zr.zrpower.ejb.sys.UIService" %>
<%@ page import = "zr.zrpower.ejb.sys.UserService" %>

<%@ page import = "java.lang.Object" %>
<%
SessionUser user = (SessionUser)session.getAttribute("userinfo");
UIService userUI =new UIService();

String userimage = user.getUserImage();
String strMenuBack = "#E5F5FF";
if (userimage.equals("blueimg")){strMenuBack = "#E5F5FF";}
if (userimage.equals("windowimg")){strMenuBack = "#E4E4E4";}
if (userimage.equals("publicimg")){strMenuBack = "#D3F3C1";}
if (userimage.equals("yellowimg")){strMenuBack = "#F5F0C6";}
if (userimage.equals("nblueimg")){strMenuBack = "#F1F0EE";}



%>
<HTML>
<HEAD>
<TITLE></TITLE>
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META http-equiv="Content-Type" content="text/html; charset=GBK">
<LINK type="text/css" rel="stylesheet" href="../zrsysmanage/css/<%=user.getUserCSS()%>">
<SCRIPT LANGUAGE="JavaScript" src="../zrsysmanage/script/Public.js"></SCRIPT>
<style type="text/css">
<!--
a{color:#333; text-decoration:none;}
a:hover{color:#FF0033;}
body{font-family:"宋体"; font-size:12px; margin:0; padding:0;}
ul{list-style-type:none; margin:0; padding:0;}
li{margin:0; padding:0;}
.leftmenu{background:#EEF2FB;height:auto;margin:0 auto; width:168px;border:1px solid <%=user.getUserIndexColor()%>;}
.lmenub{background:url(<%=SysPreperty.getProperty().AppUrl%>/zrsysmanage/images/<%=user.getUserImage()%>/m1.gif)  no-repeat left;height:25px; line-height:25px;color:#4B6486; font-size:14px; font-weight:700;text-align:left; text-indent:19px; cursor:pointer;}
.lmenua{background:url(<%=SysPreperty.getProperty().AppUrl%>/zrsysmanage/images/<%=user.getUserImage()%>/m2.gif) no-repeat;17px;height:25px; line-height:25px;color:#4B6486; font-size:14px; font-weight:700;text-align:left; text-indent:19px; cursor:pointer;}

.lmenuc{border-bottom:1px solid <%=user.getUserIndexColor()%>; background:url(<%=SysPreperty.getProperty().AppUrl%>/zrsysmanage/images/<%=user.getUserImage()%>/bg.gif) repeat-x left;font-size:12px;height:22px;line-height:22px;cursor:pointer; text-indent:20px; color:#222; font-weight:700;}
.lmenud{font-size:12px;height:22px;line-height:22px;background:<%=strMenuBack%>;text-indent:10px;border-top: 1px solid #fff;border-bottom: 1px solid <%=user.getUserIndexColor()%>; font-weight:normal;cursor:pointer; text-indent:20px;}
.pclist{ width:168px; padding:5px 2px 5px 17px;}
.pclist li{background:url(<%=SysPreperty.getProperty().AppUrl%>/zrsysmanage/images/<%=user.getUserImage()%>/dot.png) no-repeat 0 5px;height:22px; line-height:22px; font-size:12px; padding-left:17px;}
.pclist .active{background:#FFFFCC; height:15px; border:1px solid #CEB70D; padding:1px 3px;}
-->
</style>


</HEAD>
<BODY class="BodyMain">


<br>

<DIV id="divMessage" style='padding-left:0;padding-top:0;width:100%;height:100%;overflow:auto'>


    <div class="leftmenu">
    <div class='lmenua' id='treePic1' onClick="javascript:ShowFLT(1);">流程引擎配置</div>
<div id='LM1'>
<div class='lmenuc' id='treePicb1' onClick="javascript:ShowFLTb(1);">流程引擎配置</div>
<div id='LMb1' class='pclist'>
<ul>
<li><span onclick='checkTdBg(this);'><a href="javascript:OpenUrl('flowconfig/FlowProcess/PackageDesign.jsp','0')">流程配置管理</a></span></li>
</ul>
</div>
<div class='lmenuc' id='treePicb2' onClick="javascript:ShowFLTb(2);">流程引擎基础设置</div>
<div id='LMb2'  style='display:none'  class='pclist'>
<ul>
<li><span onclick='checkTdBg(this);' class='active'><a href="javascript:OpenUrl('BaseSetup/FlowBaseButton/ButtonList.jsp','0')">流程按钮管理</a></span></li>
</ul>
</div>
<div class='lmenuc' id='treePicb3' onClick="javascript:ShowFLTb(3);">流程监控与管理</div>
<div id='LMb3'  style='display:none'  class='pclist'>
<ul>
<li><span onclick='checkTdBg(this);'><a href="javascript:OpenUrl('FlowMonitor/FlowToTurn/List.jsp','0')">我的待办流程</a></span></li>
<li><span onclick='checkTdBg(this);'><a href="javascript:OpenUrl('FlowMonitor/FlowProcess/List.jsp','0')">我的处理中流程</a></span></li>
<li><span onclick='checkTdBg(this);'><a href="javascript:OpenUrl('FlowMonitor/FlowComplete/List.jsp','0')">我的完成流程</a></span></li>
<li><span onclick='checkTdBg(this);'><a href="javascript:OpenUrl('../zrsysmanage/selfmanage/SeIdea/List.jsp','0')">我的处理意见设置</a></span></li>
<li><span onclick='checkTdBg(this);'><a href="javascript:OpenUrl('FlowMonitor/FlowEntrust/EntrustList.jsp','0')">我的权限委托</a></span></li>
<li><span onclick='checkTdBg(this);'><a href="javascript:OpenUrl('FlowMonitor/FlowToTurn/ShowList.jsp','0')">待办流程嵌入页面</a></span></li>
<li><span onclick='checkTdBg(this);'><a href="javascript:OpenUrl('FlowMonitor/FlowToTurn/ShowMoreList.jsp','0')">待办流程页面(更多)</a></span></li>

<li><span onclick='checkTdBg(this);'><a href="javascript:OpenUrl('FlowMonitor/FlowControl/List.jsp','0')">流程监控</a></span></li>
<li><span onclick='checkTdBg(this);'><a href="javascript:OpenUrl('FlowMonitor/FlowAllotment/List.jsp','0')">流程任务重分配</a></span></li>
<li><span onclick='checkTdBg(this);'><a href="javascript:OpenUrl('FlowMonitor/FlowComplete/List1.jsp','0')">流程管理</a></span></li>
<li><span onclick='checkTdBg(this);'><a href="javascript:OpenUrl('FlowMonitor/FlowControl/DailyList.jsp','0')">流程操作日志</a></span></li>


</ul>
</div>
</div>

    </div>

</div>
   

</BODY>
</HTML>
<SCRIPT language="javascript" type="text/javascript">

//--------------
var number=6;
function LMYC(obj) {
var lbmc
var treePic
    for (i=1;i<=number;i++) {
        lbmc = document.getElementById('LM' + i);
        treePic = document.getElementById('treePic'+i);
        treePic.className = 'lmenub';
        lbmc.style.display = 'none';
    }
}
function ShowFLT(i) {
    lbmc = document.getElementById('LM' + i);
    treePic = document.getElementById('treePic' + i)
    if (lbmc.style.display == 'none') {
        LMYC();
        treePic.className = 'lmenua';
        lbmc.style.display = '';
    }
    else {
        treePic.className = 'lmenub';
        lbmc.style.display = 'none';
    }

}
var n=17;
function LMYCB(obj) {
var lbmcb
var treePicb
    for (i=1;i<=n;i++) {
        lbmcb = document.getElementById('LMb' + i);
        treePicb = document.getElementById('treePicb'+i);
        treePicb.className = 'lmenud';
        lbmcb.style.display = 'none';
    }
}
function ShowFLTb(i) {
    lbmcb = document.getElementById('LMb' + i);
    treePicb = document.getElementById('treePicb' + i)
    if (lbmcb.style.display == 'none') {
        LMYCB();
        treePicb.className = 'lmenuc';
        lbmcb.style.display = '';
    }
    else {
        treePicb.className = 'lmenud';
        lbmcb.style.display = 'none';
    }

}
function checkTdBg(obj){
    var obj_td = document.getElementsByTagName('span');
    for( var int_i = 0 ; int_i < obj_td.length ; int_i ++ ){
        if( obj_td[int_i] == obj ){
            obj_td[int_i].className = 'active';
        }
        else{
            obj_td[int_i].className = '';
        }
    }
}

//--------------



function initload(){
    //初始化一级栏目数和二级栏目数，在菜单展开和收缩时使用。
    number="1";
    n="3";
}
setTimeout("initload();",500);
parent.Frame_Left.cols="175,*"

</script>
<%
//清空相关对象
user = null;
userUI = null;
%>
